---
title: llarp::FormatFlagsGuard
summary: simple guard class to restore stream flags. 

---

# llarp::FormatFlagsGuard



simple guard class to restore stream flags. 


`#include <printer.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[FormatFlagsGuard](Classes/structllarp_1_1FormatFlagsGuard.md#function-formatflagsguard)**(std::ios_base & base) |
| | **[~FormatFlagsGuard](Classes/structllarp_1_1FormatFlagsGuard.md#function-~formatflagsguard)**() |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::ios_base & | **[m_base](Classes/structllarp_1_1FormatFlagsGuard.md#variable-m-base)**  |
| std::ios_base::fmtflags | **[m_flags](Classes/structllarp_1_1FormatFlagsGuard.md#variable-m-flags)**  |

## Public Functions Documentation

### function FormatFlagsGuard

```cpp
inline FormatFlagsGuard(
    std::ios_base & base
)
```


### function ~FormatFlagsGuard

```cpp
inline ~FormatFlagsGuard()
```


## Public Attributes Documentation

### variable m_base

```cpp
std::ios_base & m_base;
```


### variable m_flags

```cpp
std::ios_base::fmtflags m_flags;
```


-------------------------------

Updated on 2022-04-18 at 19:54:44 +0000